#ifndef TEXTNODE_H
#define TEXTNODE_H

#include "meshnode.h"

class TextNode : public MeshNode
{
private:
    std::string m_string;
    float m_fontSize;
public:
    TextNode(Mesh* mesh,std::string s,float fontSize,bool visible = true) : MeshNode(mesh,visible),m_string(s),m_fontSize(fontSize) {}
    float getFontSize(){return m_fontSize;}
    std::string getString(){return m_string;}
};

#endif // TEXTNODE_H
